Resolve the first visible user menu for the current caller or null.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/runtime-menu/resolve"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/runtime-menu/resolve';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/runtime-menu/resolveAuthorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
object
Resolved user menu block to prepend in the runtime navigation.
object
Menu identifier.
Menu display name.
Resolution priority.
Resolved visible nodes.
One resolved runtime-menu node for the runtime navigation.
object
Sibling sort order.
Display label.
MDI icon name.
Target entity definition identifier.
Absolute HTTP(S) URL or app-relative path for external-link leaves.
Registered stable page code for module-page leaves.
Workspace UI page key for workspace-page leaves.
Runtime Catalog Definition identifier for Catalog leaves.
Backend-owned WebApp named route for an available module-page leaf.
Explicit entity-list page key, or null for the current default.
object
object
object
object
Example
{ "Data": { "Items": [ { "Kind": 0, "LeafType": 0 } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}